/*--------------------------------------------------------------------------

  FILE: dtol.h

  PURPOSE: Open Layers data acquisition C++ example, shows single value 
	ADC operation. The header declares the class Dtol.

****************************************************************************/

#include <windows.h>     

//headers from the DT DataAcq SDK
#include "oldadefs.h"
#include "oldaapi.h"

class Dtol
{

private:
	//driver handle
	HDEV hdrvr;
	//subsystem handle
	HDASS hdass;
	//board error status
	ECODE status;
	
public:
	//constructor. initializes the DT device given by the board name
	Dtol(char* name);
	//destructor. disposes the DT device. the destructor is called automatically at the end of the application.
	//so use it carfully or the error "Invalid subsystem handle" will occure.
	~Dtol();
	//sets a handle to the analog input subsystem and configures it. 
	void setAnalogInputSubsystem();
	//returns the voltage value measured on channel 0, gain 1.0
	long getValue();
	//converts the value to volt and returns the result
	double getVolt(long value);
};
